Subject: bug#62898: 29.0.90; X can’t be input by the current input method [chinese-ctlaub]

From: Van Ly <[email-masked]>
Date: Sat, 22 Apr 2023 17:10:24 GMT

> Date: Sat, 22 Apr 2023 12:42:32 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> Content-type: text/plain; charset=utf-8
> 
> > Date: Thu, 20 Apr 2023 19:39:26 GMT
> > From: Van Ly <[email-masked]>
> > Cc: [email-masked]
> > 
> > 
> > Looking at the below for #x6a58
> > 
> >   - https://humanum.arts.cuhk.edu.hk/Lexis/lexi-mf/search.php?word=%E6%A9%98
> > 
> > The left margin section, at the bottom, has a drop down menu and the
> > CTLau phonology is obtained by selecting the bottom option.
> > 
> > There the phonological reading for #x6a58 is given by gat and gwat.
> 
> We already have GAT and GWAT in CTLau-b5.html.  Are you saying we
> should add #x6a58 to the list of characters in those 2 lines?
> 

Yes, homonym GAT expands to four graphs.  So, add one.  Do the same
for GWAT.  It would be like adding a new word or variant spelling to
the spellchecker interactive flow.

You will see the homonym CHO expands to 17 graphs.  Maybe there are
more to add there.

> > Looking at the CTLau-b input sequence for \foh
> > 
> >   - https://humanum.arts.cuhk.edu.hk/Lexis/lexi-mf/search.php?word=%E7%85%92
> > 
> > the humanum gives the reading wai, is there any memory for some
> > CTLau-b input sequences having the backslash prefix?  The sounding foh
> > refers to the fire character indexical is my guess which might have
> > been a mnemonic for the authors of CTLau-b5.html .
> 
> Sorry, I don't understand: the above is for a different Unicode
> codpoint, U+7152.  How is that relevant to the issue at hand?

The homomym \FOH has a backslash prefix, the other input sequences
don't have a prefix symbol.  I don't know why that convention is.  At
a guess, the prefix adds a different style of input sequence.  Maybe
that is explained in the documentation I haven't reached.

> 
> > > Are there any newer sources for this input method which we could use?
> > 
> >   - http://sdf.org/~van.ly/img/x6a58--gat--gwat--add-to-CTLau-b5.jpg
> 
> I don't understand how to interpret that image, sorry.
> 

I included the picture to accompany the above wording on navigating to
the dropdown menu and to show the GAT and GWAT homonym as displayed,
as a help, and to suggest how the phonoloreading once looked up can be
used to augment entries no found in the received CTLau-b5.html .  You
will also see there are TOFU graphs, so the situation is an improving
incomplete work in progress.